Home//
REST API Reference
/- Retrieve a content import source
List content import sources
Create a content import source
Delete a content import source
Update a content import source
List external pages
Create an external page (or update an external page by external ID)
Delete an external page
Retrieve an external page
Update an external page
Add a tag to an external page
Remove a tag from an external page
Content Import Source
Content Import Sources
External Page
External Pages
Retrieve a content import...
You can retrieve a content import source.
OAuth tokens must have the read_write_ai_content scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/ai/content_import_sources/{source_id}
- The european API serverhttps://api.eu.intercom.io/ai/content_import_sources/{source_id}
- The australian API serverhttps://api.au.intercom.io/ai/content_import_sources/{source_id}
curl -i -X GET \
'https://api.intercom.io/ai/content_import_sources/{source_id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'successful
Always content_import_source
Default:"content_import_source"
Value:"content_import_source"
Example:"content_import_source"
The unique identifier for the content import source which is given by Intercom.
Example:1234
The time when the content import source was last synced.
Example:1672928610
If you intend to create or update External Pages via the API, this should be set to api.
Enum:"api""automatic""manual"
Example:"api"
The status of the content import source. A source that is being deleted has the status deletion_in_progress.
Default:"active"
Enum:"active""deactivated""deletion_in_progress"
Example:"active"
The time when the content import source was created.
Example:1672928359
The time when the content import source was last updated.
Example:1672928610
Response
{ "id": 38, "type": "content_import_source", "last_synced_at": 1734537265, "status": "active", "url": "https://support.example.com/us/5", "sync_behavior": "api", "created_at": 1734537265, "updated_at": 1734537265, "audience_ids": [] }